LINUX.ORG.RU

Представлен код расширения OpenGL ARB_internalformat_query2 (MESA / i965)

 , , ,


0

4

Компания «Igalia» представила на рецензирование код, включающий в себя 63 патча, в проект MESA для расширения ARB_internalformat_query2. Данное расширение необходимо для достижения MESA поддержки OpenGL 4.3. ARB_internalformat_query2 и GL_ARB_robust_buffer_access_behavior остаются двумя последними этапами на этом пути.

Необходимо отметить, что для драйвера i965 реализованы не все расширения для OpenGL 4.0/4.1/4.2, и он даже после добавления ARB_internalformat_query2 будет поддерживать только OpenGL 3.3.

>>> Подробности

★★★

Проверено: JB ()

не нужно, тут опенгль закапывать всем миром собираются.

aegi ()

Необходимо отметить, что для драйвера i965 реализованы не все расширения для OpenGL 4.0/4.1/4.2, и он даже после добавления ARB_internalformat_query2 будет поддерживать только OpenGL 3.3.

И зачем он тогда нужен, если он ничего не может?

Anonim999 ()
Ответ на: комментарий от aegi

для андроидов, адруинов и других мелких железок размером с флешку для вывода графики и видео.

lv77 ★★★ ()
Ответ на: комментарий от Anonim999

по статистике видеокарты Intel стоят более чем в половине компьютеров в мире.

lv77 ★★★ ()

Компания «Igalia» представила на рецензирование код, включающий в себя 63 патча, в проект MESA для расширения ARB_internalformat_query2 . Данное расширение необходимо для достижения MESA поддержки OpenGL 4.3. ARB_internalformat_query2 и GL_ARB_robust_buffer_access_behavior остаются двумя последними этапами на этом пути.

Новость только в том, что какая-то компания сделала пулл-реквест? Вот когда полностью OpenGL 4.3 реализуют, тогда и приходи.

Необходимо отметить, что для драйвера i965 реализованы не все расширения для OpenGL 4.0/4.1/4.2, и он даже после добавления ARB_internalformat_query2 будет поддерживать только OpenGL 3.3.

Это чо? Бойкот Intel'ов?

Тоесть, даже если у тебя будет какой-нибудь Skylake, тебе будет доступен максимум OpenGL 3.3? Дискриминация какая-то.

nexfwall ★★★★ ()
Ответ на: комментарий от aegi

не нужно, тут опенгль закапывать всем миром собираются

да-да, Xorg тоже всем миром собирались закапывать, все никак не соберутся

ПО и игры под vulkan api уже написали, да? Разработчики уже его обкатали, дрова написаны и отлажены, development guides уже написаны? Нет?

OpenGL будет жить до тех пор, пока в нем не отпадет надобность. А это будет ой как не скоро.

reprimand ★★★★ ()
Ответ на: комментарий от nexfwall

Тоесть, даже если у тебя будет какой-нибудь Skylake, тебе будет доступен максимум OpenGL 3.3? Дискриминация какая-то.

линукс как обычно отстает. В винде Opengl 4 уже очень давно.

onon ★★★ ()
Ответ на: комментарий от reprimand

ПО и игры под vulkan api уже написали, да?

а он разве вышел? Дело же даже не в драйверах и играх.

onon ★★★ ()
Ответ на: комментарий от reprimand

Это был скорее сарказм

все никак не соберутся

Вся суть же. Будут вечно говорить что недоделано, пока не объявят устаревшим и начнут писать новую, «принципиально новую», замену.

aegi ()
Ответ на: комментарий от onon

Линукс не отстаёт. Отстаёт Mesa.

Да и я говорил о том, что реализация на уровне драйвера i965 отстаёт. Остальные уже умеют в 4.2.

nexfwall ★★★★ ()
Ответ на: комментарий от aegi

Это был скорее сарказм

значит, он был настолько прямолинеен что я его не понял :)

пока не объявят устаревшим и начнут писать новую, «принципиально новую», замену

где-то я уже это видел...

reprimand ★★★★ ()

Такими темпами могут и до конца года OpenGL 4.5 допилить.

trycatch ★★★ ()

Там в i965 всего парочку расширений дописать до 4.1. Думаю ждать недолго осталось.

Sunderland93 ★★★★ ()
Ответ на: комментарий от nexfwall

Остальные уже умеют в 4.2.

4.2 умеет как раз только интел (но не 4.0/4.1). Нуво/радеон - 4.1.

Ivan_qrt ★★★ ()
Ответ на: комментарий от Ivan_qrt

Но при этом, чтобы уметь в 4.2, надо уметь в 4.1 и 4.0

nexfwall ★★★★ ()
Ответ на: комментарий от onon

линукс как обычно отстает. В винде Opengl 4 уже очень давно

LOL, так и в Линуксе давно 4.5...в проприетарных дровах. А стандартные виндовые дрова мало того что вообще не поддерживают OpenGL, так ещё и убогие даже для самой винды.

Sunderland93 ★★★★ ()
Ответ на: комментарий от Sunderland93

А стандартные виндовые дрова

Чё это за тупняк? Кто-то вообще играет не обновив драйвер? Зачем?

anonymous ()
Ответ на: комментарий от aegi

не нужно, тут опенгль закапывать всем миром собираются.

DX12 вестимо заменят? )

weare ★★ ()
Ответ на: комментарий от anonymous

Имеется ввиду изкоробочное состояние. Изкоробочный видеодрайвер винды, который иной раз даже родное разрешение монитора определить не может, и изкоробочные дрова в Линуксе, которые поддерживают OpenGL, пусть и 4.1, и на которых даже можно играть.

Sunderland93 ★★★★ ()
Ответ на: комментарий от reprimand

Разработчики уже его обкатали

Ага. Он не особо отличается от привычных им кносольных.

игры под vulkan api

Если игра написана нормально, с правильной многопоточностью, то перенос не составит проблем. Даже Юнити на эти рельсы переводят.

ranka-lee ()
Ответ на: комментарий от erzentded

Да шапкам-то осталось только kerneld написать. И сменить лицензию на закрытую, когда пионерия с криками «Прогресс! Версия на одну тысячную больше предыдущей!» их везде понаинсталлит.

ST ()
Ответ на: комментарий от ST

я вот уже пол года сижу на вяленном, он по мне куда лучше иксов, в чём проблема?

erzentded ()
Ответ на: комментарий от nexfwall

Ага, то есть от Месы мы уже дистанцируемся :)

buddhist ★★★★★ ()
Ответ на: комментарий от anonymous

Ну вообще то а зачем ставить отдельные драйвера, если из коробки все работает?

AVL2 ★★★★★ ()

... будет поддерживать только OpenGL 3.3

этауспехящетаю

anonymous ()
Ответ на: комментарий от reprimand

собрались же, и активно копают, вон уже ямку ростом с гнома выкопали, но много всякого барахла пока просто на землю побросали.. что-то втопталось, что-то нет..

Thero ★★★★★ ()

В 1-ю каку из консольки теперь можно будет играться?

slamd64 ()

этот ваш opengl это какое-то страдание от необходимости жрать говно во имя идола Объектно-Ориентированного Программирования.

ckotinko ★★★ ()
Ответ на: комментарий от erzentded

я вот уже пол года сижу на вяленном, он по мне куда лучше иксов, в чём проблема?

Сколько не пробовал, ничего не выходит.

1. В вестоне курсор толком меняться не умеет, кучу раз было что по кнопкам нажимаю курсором для изменения размера окна, а не стрелкой.

2. Панель в вестоне только сверху быть умеет.

3. Плазма_вэйланд вылетает как 4.0 версия только умела. С курсором в плазме вообще беда и inner-окна(не знаю как по другому назвать) в настройках частенько «отклеиваются» от родителя.

4. Также в вестоне Alt-Tab не работает и панели задач не завезли в вестон-панель.

И это только с ходу вспомнившиеся косяки.

Хотя возможно в гноме оно и юзабельно. Гном не пробовал.

Loki13 ★★★★★ ()
Последнее исправление: Loki13 (всего исправлений: 1)
Ответ на: комментарий от Loki13

я сейчас сижу на fedora 24+wayland+gnome в котором практически все приложения gt5 начиная от терминала. Проблем никаких, была проблема с раскладкой, но уже как 3 месяца её решили, твоих проблем не видел. прекрасно всё работает даже на 3 мониторах. попробуй fedora 24+wayland.

erzentded ()
Ответ на: комментарий от erzentded

даже на 3 мониторах

А какая проблема с тремя мониторами?

XMs ★★ ()
Ответ на: комментарий от XMs

ну например в 5 кедах, бывало, что на 2 мониторах смена раскладки работает, а не третьем нет, не меняется на нём. При 3 мониторах 5 плазма быстрее уходила в «ребут», клёвая надпись была,правда надоедала. да там много веселья было.

У меня правда весёлый 3 гном, в качества терминала у меня konsole5, в качестве dolphin с qt5(ибо в зависимостях qt4 не было, amarok, kwrite....

если бы ещё звук не был таким тихим в наушниках, но это старая проблема в линуксе.

erzentded ()

в соседней теме,про xcom2 в отсутствии поддержки opengl4 интелами и нехватающих расширений у адм-все дружно обвинили нвидию

такчто да-это нвидия виновата

anonymous ()
Ответ на: комментарий от anonymous

о, да. это меняет тот факт, что в GL4.5 начали массово отказываться от связок bindЧто-то+сделай-с-bindнутым в пользу прямых функций. Но почему, Карл? Потому что ПОДХОД, сука! Священная корова, ради которой надо жрать говно и всем говорить что оно как мёд только еще вкуснее.

ckotinko ★★★ ()
Ответ на: комментарий от ckotinko

о, да. это меняет тот факт, что в GL4.5 начали массово отказываться от связок bindЧто-то+сделай-с-bindнутым в пользу прямых функций. Но почему, Карл? Потому что ПОДХОД, сука! Священная корова, ради которой надо жрать говно и всем говорить что оно как мёд только еще вкуснее.



Это сделали для унификации ,и началось с версии 4.2 .Только унифицировали совсем другое - потихоньку импортировали ари DX 10 и DX 11 чтобы разработчики игр не мучились .

maximnik0 ()
Ответ на: комментарий от ckotinko

GL_NV_shader_buffer_load и GL_NV_vertex_buffer_unified_memory появились как раз, чтобы снизить нагрузку на UMD драйвера, а не идеологическим соображениям

x4DA ★★★★★ ()
Ответ на: комментарий от maximnik0

чтобы разработчики игр не мучились

сомнительное утверждение. поддержка > 1 graphics API это уже мучение.

скорее, внутренний API современных видеокарт (пакеты командного буфера, shader ISA) похож по фичам на directx, поэтому лишний state tracking внутри opengl-драйверов избыточен.

x4DA ★★★★★ ()

OpenGL в открытых драйверах - как транссибирская магистраль. Проходит по России от начала до конца, но только по узкой дорожке. Я про то, что работать-то, может, и работает, но насколько быстро?

ZenitharChampion ★★★★★ ()

Пусть пилят, на переход на Vulkan несколько лет понадобится. А в это время можно будет пользоваться плюшками OpenGL.

lucentcode ★★★★★ ()
Ответ на: комментарий от onon

линукс как обычно отстает. В винде Opengl 4 уже очень давно.

Держите нас в курсе событий.

andreyu ★★★★★ ()
Ответ на: комментарий от ranka-lee

игры под vulkan api

Если игра написана нормально, с правильной многопоточностью, то перенос не составит проблем.

А при чем тут многопоточность?

andreyu ★★★★★ ()
Ответ на: комментарий от ckotinko

о, да. это меняет тот факт, что в GL4.5 начали массово отказываться от связок bindЧто-то+сделай-с-bindнутым в пользу прямых функций.

Каким боком тут ООП?

andreyu ★★★★★ ()
Ответ на: комментарий от lv77

Версия 3.3 не так уж мало. А запускать на интеле то, что требует версию 4+ в большинстве случаев чистый мазохизм.

kirill_rrr ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.